Attribute VB_Name = "modMain"
Option Explicit

' -------------------------------------------------
' This Type corresponds to the one in the OLE
'   Server
' -------------------------------------------------
Public g_atypEventRecords()            As EventRecord

' -------------------------------------------------
'
' -------------------------------------------------
Public g_typUserFilterData             As FilterData

' -------------------------------------------------
' Constants for different types of events
' -------------------------------------------------
Public Const Event_Type_Info = "Information"
Public Const Event_Type_Warning = "Warning"
Public Const Event_Type_Error = "Error"
Public Const Event_Type_Success_Audit = "Audit Success"
Public Const Event_Type_Failure_Audit = "Audit Failure"

Public Const EVENTLOG_ERROR_TYPE = &H1
Public Const EVENTLOG_WARNING_TYPE = &H2
Public Const EVENTLOG_INFORMATION_TYPE = &H4
Public Const EVENTLOG_AUDIT_SUCCESS = &H8
Public Const EVENTLOG_AUDIT_FAILURE = &H10

' -------------------------------------------------
' Constants for different types of event filters
' -------------------------------------------------
Public Const Filter_Type_None = 0
Public Const Filter_Type_TimeBefore = 1
Public Const Filter_Type_TimeAfter = 2
Public Const Filter_Type_EventType = 3
Public Const Filter_Type_Source = 4
Public Const Filter_Type_Category = 5
Public Const Filter_Type_Computer = 6
Public Const Filter_Type_EventID = 7

' -------------------------------------------------
' Error numbers possibly returned from EventLog
'   Server
' -------------------------------------------------
Public Const ERR_LOGTYPE_NOT_SET = 1011 + vbObjectError
Public Const ERR_SOURCENAME_NOT_SET = 1012 + vbObjectError
Public Const ERR_BAD_INDEX = 1013 + vbObjectError
Public Const ERR_FAILED_OPEN_REGISTRY_KEY = 1014 + vbObjectError
Public Const ERR_FAILED_READ_REGISTRY_KEY = 1015 + vbObjectError
Public Const ERR_RESOURCE_DATA_NOT_FOUND = 1016 + vbObjectError
Public Const ERR_READING_EVENT_LOG = 1017 + vbObjectError
Public Const ERR_LOG_NOT_OPENED = 1018 + vbObjectError
Public Const ERR_FAILED_SET_LOG_TYPE = 1019 + vbObjectError

Sub Main()
   frmEventLogs.Show
End Sub

Public Sub SetFilterDefaults()
   Const ALL_ITEMS                     As String = "[All]"

   g_typUserFilterData.EvtInfo = True
   g_typUserFilterData.EvtWarning = True
   g_typUserFilterData.EvtError = True
   g_typUserFilterData.EvtSuccessAudit = True
   g_typUserFilterData.EvtFailureAudit = True
   g_typUserFilterData.SourceInclude = True
   g_typUserFilterData.CategoryInclude = True
   g_typUserFilterData.EventIdInclude = True
   g_typUserFilterData.EventID = -1
   g_typUserFilterData.EventDateInclude = False
   g_typUserFilterData.EventDateFrom = CDate("01/01/1990")
   g_typUserFilterData.EventDateTo = CDate(Format$(Now, "Short Date"))
   
   g_typUserFilterData.Source1 = ALL_ITEMS
   g_typUserFilterData.Source2 = ALL_ITEMS
   g_typUserFilterData.Source3 = ALL_ITEMS
   g_typUserFilterData.Category1 = ALL_ITEMS
   g_typUserFilterData.Category2 = ALL_ITEMS
   g_typUserFilterData.Category3 = ALL_ITEMS
   
End Sub
